## org.w3c.jigsaw.acl
Class HTTPPermission

    java.lang.Object
      |
      +--org.w3c.jigsaw.acl.HTTPPermission

public class HTTPPermission
extends java.lang.Object
implements java.security.acl.Permission

Field Summary
`protected java.lang.String` | `method`

Constructor Summary
`HTTPPermission(Request request)`

Method Summary
`boolean` | `equals(java.lang.Object another)`
`protected java.lang.String` | `getMethod()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### method

    protected java.lang.String method

Constructor Detail

### HTTPPermission

    public HTTPPermission(Request request)

Method Detail

### getMethod

    protected java.lang.String getMethod()

### equals

    public boolean equals(java.lang.Object another)

  Specified by:
    equals in interface java.security.acl.Permission
  Overrides:
    equals in class java.lang.Object

### toString

    public java.lang.String toString()

  Specified by:
    toString in interface java.security.acl.Permission
  Overrides:
    toString in class java.lang.Object